<script type="text/javascript">
    RED.nodes.registerType('prometheus-rules', {
        category: 'prometheus',
        color: '#F3B567',
        defaults: {
            name: { 
                value: "" 
            },
            server: {
                required: true,
                type: "prometheus-server"
            },
            ruleType: {
                value: "",
                required: false
            }
        },
        inputs: 1,
        outputs: 1,
        icon: "prometheus.png",
        paletteLabel: "rules",
        label: function() {
            return this.name || "rules";
        }
    });
</script>

<script type="text/html" data-template-name="prometheus-rules">
    
    <div class="form-row">
        <label for="node-input-server"><i class="fa fa-globe"></i> Server</label>
        <input type="text" id="node-input-server" placeholder="Prometheus Server">
    </div>

    <div class="form-row">
        <label for="node-input-rule-type"><i class="fa fa-search"></i> Type</label>
        <input type="text" id="node-input-rule-type" placeholder="Type">
    </div>

    <div class="form-row">
        <label for="node-input-name"><i class="fa fa-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>

</script>

<script type="text/html" data-help-name="prometheus-rules">
    <p>Returns a list of alerting and recording rules that are currently loaded</p>
</script>
